options:
    provider:
        type: string
        description: |
            The storage provider service, either "nova" (openstack) or
            "ec2" (aws)
        default: "nova"
    key:
        type: string
        description: The provider specific api credential key
        default: ""
    tenant:
        type: string
        description: The provider specific api tenant name
        default: ""
    secret:
        type: string
        description: The provider specific api credential secret
        default: ""
    endpoint:
        type: string
        description: The provider specific api endpoint url
        default: ""
    region:
        type: string
        description: The provider specific region name
        default: ""
    default_volume_size:
        type: int
        description: The volume size in GB if the relation does not specify
        default: 5
